petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecSetFromOptions

Configures the vector from the options database.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecSetFromOptions(Vec vec)

Collective on Vec Many br

### Input Parameter

vec -The vector Many br

Notes: To see all options, run your program with the -help option, or consult the users manual. Many brMust be called after VecCreate() but before the vector is used. Many br

Many br

### Keywords

Vec, set, options, database

### See Also

VecCreate(), VecSetOptionsPrefix()

Level:beginner
Location:src/vec/vec/interface/vector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex1.c.html
src/vec/vec/examples/tutorials/ex2.c.html
src/vec/vec/examples/tutorials/ex3.c.html
src/vec/vec/examples/tutorials/ex5.c.html
src/vec/vec/examples/tutorials/ex6.c.html
src/vec/vec/examples/tutorials/ex7.c.html
src/vec/vec/examples/tutorials/ex8.c.html
src/vec/vec/examples/tutorials/ex10.c.html
src/vec/vec/examples/tutorials/ex11.c.html
src/vec/vec/examples/tutorials/ex12.c.html
src/vec/vec/examples/tutorials/ex15.c.html